{{- if .Values.istio.enabled -}}
{{- $domain   := include "devopsDomain" . -}}
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: {{ .Release.Name }}-{{ .Chart.Name }}
  labels:
{{ include "ekyc.labels" . | indent 4 }}
spec:
  gateways:
    - global-gateway.istio-system.svc.cluster.local
  hosts:
    - "{{ .Release.Name }}-{{ .Chart.Name }}.{{ $domain }}"
  http:
    - match:
        - uri:
            prefix: "/internal/"
      route:
        - destination:
            host: not-defiend
            port:
              number: 12345
    - match:
        - uri:
            prefix: "/api/"
      route:
        - destination:
            host: {{ .Release.Name }}-{{ .Chart.Name }}
            port:
              number: {{ .Values.service.externalPort }}
{{- end }}
